% reads a tab delimited file, non-number strings are treated as 0

function A = tabread(filename)

fid = fopen(filename);

tline = fgets(fid);
ctr = 1;
while ischar(tline)
    C = strsplit(tline,'\t');
    for i=1:size(C,2)
        if(length(str2num(C{i})) > 0)
            A(ctr,i) = str2num(C{i});
        end
    end
    
    tline = fgets(fid);
    ctr = ctr + 1;
    
end

fclose(fid);

end

